AnsweredAssumed Answered

Nesting Curve Through XYZ / Macro Feature Selection

Question asked by Peter Debono on Feb 15, 2018
Latest reply on Mar 7, 2018 by Peter Debono

I have a macro that creates a macro feature in a part file then creates curves through XYZ and makes those curves sub-features of the macro feature. The issue I have is that if the part file is closed the next time it's re-opened the curves are no longer sub-features and I don't know why the sub-feature assignment is lost. Has anyone experienced this issue or know of a fix? I'm using the MakeSubFeature.

 

CurrentFeat = swModel.Extension.SelectByID2(nameRCrv, "REFERENCECURVES", 0, 0, 0, False, 0, Nothing, 0)

Set CurrentFeat = swSelMgr.GetSelectedObject6(1, -1)

BoolStatus = swFeature.MakeSubFeature(CurrentFeat)

 

Also, is there anyway to highlight the sub-features of a macro feature in the graphics window when that macro feature has been selected in the feature tree? IE when I select the macro feature created by the macro described above, I'd like the curves to be highlighted in the graphics window.

Outcomes